micro_utils.dokka
0.15.1

# StandardVersionsRepo

class StandardVersionsRepo<T>(proxy: StandardVersionsRepoProxy<T>) : VersionsRepo<T>

## Constructors

StandardVersionsRepo
Link copied to clipboard
fun <T> StandardVersionsRepo(proxy: StandardVersionsRepoProxy<T>)

## Functions

setTableVersion
Link copied to clipboard
open suspend override fun setTableVersion(tableName: String, version: Int, onCreate: suspend T.() -> Unit, onUpdate: suspend T.(from: Int, to: Int) -> Unit)

By default, instance of this interface will check that version of table with name tableName is less than version or is absent